Bug 1123630 - Service rename break update
Summary: Service rename break update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redis
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 11:07 UTC by Remi Collet
Modified: 2014-10-03 03:58 UTC (History)
4 users (show)

Fixed In Version: redis-2.8.15-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-03 03:58:11 UTC


Attachments (Terms of Use)

Description Remi Collet 2014-07-27 11:07:48 UTC
In fedora <= 20 and epel <= 6, service name was simply "redis"

Changing it to "redis-server" breaks update

Please consider reverting to previous name

Comment 1 Remi Collet 2014-07-27 11:36:52 UTC
Another issue, as the redis-sentinel is new, and %systemd_post evaluate to 

  if [ $1 -eq 1 ] ; then 

It is not detected by systemd on upgrade.
So a "/bin/systemctl daemon-reload" is needed

Comment 2 Fedora Admin XMLRPC Client 2014-09-11 01:35:11 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Update System 2014-09-11 17:06:57 UTC
redis-2.8.14-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/redis-2.8.14-1.fc21

Comment 4 Fedora Update System 2014-09-11 22:12:07 UTC
Package redis-2.8.14-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redis-2.8.14-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10699/redis-2.8.14-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-09-13 13:34:53 UTC
redis-2.8.15-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/redis-2.8.15-1.fc21

Comment 6 Fedora Update System 2014-10-03 03:58:11 UTC
redis-2.8.15-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.